Bug 204990 - [patch] libevent uses a short default poll timeout for no apparent reason
Summary: [patch] libevent uses a short default poll timeout for no apparent reason
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libevent   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks: wakeup 418441
TreeView+ depends on / blocked
 
Reported: 2006-09-01 21:15 UTC by Arjan van de Ven
Modified: 2008-05-07 00:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 00:48:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to increase the delay (336 bytes, patch)
2006-09-01 21:15 UTC, Arjan van de Ven
no flags Details | Diff

Description Arjan van de Ven 2006-09-01 21:15:36 UTC
Description of problem:


libevent decides to wake up every 5 seconds, for no apparent reason whatsoever.
The patch below makes this default poll timeout more pallable to 60 seconds, but
even longer would be better.

Comment 1 Arjan van de Ven 2006-09-01 21:15:36 UTC
Created attachment 135414 [details]
patch to increase the delay

Comment 2 Steve Dickson 2006-09-05 11:34:50 UTC
I just sent some mail to the  libevent-users mailing list to see
why this value can not be set to -1 which would make the epoll
wait forever or even make the time out configurable... 




Comment 3 Arjan van de Ven 2006-11-09 08:21:45 UTC
ping?

Comment 4 Steve Dickson 2007-03-09 15:35:10 UTC
Fixed in libevent-1.3b-1.fc7

Comment 5 Scott Lamb 2007-07-25 20:50:52 UTC
The purpose of the delay is to handle (as best as possible) cases where the clock goes backwards. But with 
CLOCK_MONOTONIC, this is unnecessary. I just sent a couple patches to the upstream list which make the 
delay infinite on Linux. Hopefully they'll make it into libevent-1.3c.

http://monkeymail.org/archives/libevent-users/2007-July/000700.html



Comment 6 Bug Zapper 2008-04-03 18:07:12 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 00:48:25 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.